Summary: Courier-IMAP server
Name: courier-imap
Version: 4.1.3
Release: 2tr
License: GPL
Group: Trustix Official
Source: http://unc.dl.sourceforge.net/sourceforge/courier/courier-imap-%{version}.tar.bz2
Source1: courier-imapd.init
Source2: courier-pop3d.init
Source3: courier-simapd.init
Source4: courier-pop3sd.init
Source5: courier-imapd.conf
Source6: courier-pop3d.conf
Source7: courier-simapd.conf
Source8: courier-pop3sd.conf
Patch0: courier-imap-mksslcert.patch
Patch1: courier-imap-4.1.3-trustix-certshift.patch
Patch2: courier-imap-mkimapdcert.patch
Patch3: courier-imapd-umask.patch
Patch4: courier-imap-mkpop3dcert.patch
URL: http://www.courier-mta.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: /sbin/chkconfig, coreutils, sed courier-authlib
Requires: /sbin/restart_maybe, db4, openssl, imapd-pam, gnutls, libgcrypt
BuildRequires: coreutils, rpm >= 4.0.2, sed, gcc-c++-devel courier-authlib
BuildRequires: perl, db4-devel, openssl-devel gnutls libgpg-error libgcrypt
Provides: imapd

%define almostauthdaemondir /var/spool/authdaemon
%define authdaemondir %{almostauthdaemondir}/courier-imap
%define sslcachedir /var/spool/courier
%define sslcache %{sslcachedir}/sslcache

%description
Courier-IMAP is an IMAP server for Maildir mailboxes.  This package contains
the standalone version of the IMAP server that's included in the Courier
mail server package.  This package is a standalone version for use with
other mail servers.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1

%build
CFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
        CXXFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
        XCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
        TCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
LDFLAGS="-lgnutls -lgnutls-extra -lgcrypt -lstdc++ -s" ./configure --prefix=%{_prefix} \
	   --mandir=%{_mandir} \
	   --localstatedir=%{_localstatedir} \
           --with-authdaemonvar=%{authdaemondir} \
           --enable-unicode \
           --with-db=db \
           --disable-root-check \
           --sysconfdir=%{_sysconfdir}/%{name} \
           --libexecdir=%{_prefix}/%{_lib}/%{name} \
           --datadir=%{_datadir}/%{name} \
           --with-piddir=/var/run

make

%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_initdir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
make install-strip DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{sslcachedir}

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/courier-imapd
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initdir}/courier-pop3d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_initdir}/courier-simapd
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_initdir}/courier-pop3sd

install -d -m 700 $RPM_BUILD_ROOT/%{authdaemondir}/
install -m 600 /dev/null $RPM_BUILD_ROOT/%{authdaemondir}/lock
install -m 600 /dev/null $RPM_BUILD_ROOT/%{authdaemondir}/pid

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/imapd
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/pop3d
install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/imapd-ssl
install %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/pop3d-ssl
for i in imapd imapd-ssl pop3d pop3d-ssl ; do
    touch $RPM_BUILD_ROOT%{_localstatedir}/run/${i}.pid
    touch $RPM_BUILD_ROOT%{_localstatedir}/run/${i}.pid.lock
    chmod 600 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$i
done

# fix the document names
cp imap/README README.imap
cp maildir/README.maildirquota.txt README.maildirquota
cp maildir/README.sharedfolders.txt README.sharedfolders

install -d $RPM_BUILD_ROOT%{_sysconfdir}/courier/shared/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/courier/shared.tmp
touch $RPM_BUILD_ROOT%{_sysconfdir}/courier/shared/index

%post
/sbin/chkconfig --add courier-imapd
/sbin/chkconfig --add courier-simapd
/sbin/chkconfig --add courier-pop3d
/sbin/chkconfig --add courier-pop3sd
if [ $1 = 2 ]; then
	/sbin/restart_maybe courier-imapd
	/sbin/restart_maybe courier-simapd
	/sbin/restart_maybe courier-pop3d
	/sbin/restart_maybe courier-pop3sd
fi

%preun
if [ "$1" = "0" ] ; then
    /sbin/service courier-imapd status > /dev/null
    if [ "$?" = "0" ]; then
	    /sbin/service courier-imapd stop
    fi
    /sbin/service courier-simapd status > /dev/null
    if [ "$?" = "0" ]; then
	    /sbin/service courier-simapd stop
    fi
    /sbin/service courier-pop3d status > /dev/null
    if [ "$?" = "0" ]; then
	    /sbin/service courier-pop3d stop
    fi
    /sbin/service courier-pop3sd status > /dev/null
    if [ "$?" = "0" ]; then
	    /sbin/service courier-pop3sd stop
    fi
    rm -f %{sslcache}
    /sbin/chkconfig --del courier-imapd
    /sbin/chkconfig --del courier-simapd
    /sbin/chkconfig --del courier-pop3d
    /sbin/chkconfig --del courier-pop3sd
fi


%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING imap/BUGS README README.imap README.maildirquota
%doc README.sharedfolders
%doc INSTALL
/etc/courier-imap/imapd-ssl.dist
/etc/courier-imap/imapd.dist
/etc/courier-imap/pop3d-ssl.dist
/etc/courier-imap/pop3d.dist

%{_initdir}/*

%dir    %{_sysconfdir}/%{name}
%config(noreplace)  %{_sysconfdir}/%{name}/imapd
%config(noreplace)  %{_sysconfdir}/%{name}/imapd.cnf
%config(noreplace)  %{_sysconfdir}/%{name}/imapd-ssl
%config(noreplace)  %{_sysconfdir}/%{name}/pop3d
%config(noreplace)  %{_sysconfdir}/%{name}/pop3d.cnf
%config(noreplace)  %{_sysconfdir}/%{name}/pop3d-ssl
%config(noreplace) %{_sysconfdir}/%{name}/quotawarnmsg.example
%config(noreplace) %dir %{_sysconfdir}/courier/shared
%config(noreplace) %dir %{_sysconfdir}/courier/shared.tmp
%config(noreplace) %{_sysconfdir}/courier/shared/index

%dir    %{_sysconfdir}/%{name}/shared
%dir    %{_sysconfdir}/%{name}/shared.tmp
        %{_bindir}/*
        %{_sbindir}/*
%dir    %{_datadir}/%{name}
        %{_datadir}/%{name}/mkimapdcert
        %{_datadir}/%{name}/mkpop3dcert
%dir    %{_prefix}/%{_lib}/%{name}
        %{_prefix}/%{_lib}/%{name}/imapd.rc
        %{_prefix}/%{_lib}/%{name}/makedatprog
        %{_prefix}/%{_lib}/%{name}/couriertcpd
        %{_prefix}/%{_lib}/%{name}/imapd-ssl.rc
        %{_prefix}/%{_lib}/%{name}/pop3d.rc
        %{_prefix}/%{_lib}/%{name}/pop3d-ssl.rc

%ghost  /var/run/*.pid
%ghost  /var/run/*.lock
%dir	%{almostauthdaemondir}
%dir    %{authdaemondir}
%dir    %{sslcachedir}
%ghost  %{authdaemondir}/*

%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Wed Sep 19 2007 Kireekadan <Kireekadan at trustix dot org> 4.1.3-2tr
- Add mkpop3dcert fix, Bug #2244.

* Mon Apr 23 2007 Bipin S <bipin at trustix dot org> 4.1.3-1tr
- New Upstream.

* Wed Mar 14 2007 Nived Gopalan <nived at trustix dot org> 4.1.2-1tr
- New Upstream.
- Updated courier-imapd.conf.
- Fixed Bug #2149.

* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jun 14 2006 Bipin S <bipin at trustix dot org> 4.1.1-1tr
- New upstream.

* Fri Mar 24 2006 Bipin S <bipin at trustix dot org> 4.1.0-1tr
- New Upstream
- Compiled with libstdc++.

* Mon Nov 07 2005 Bipin S <bipin at comodo dot com> 4.0.6-2tr
- mkimapdcert now uses /etc/courier-imap/imapd.cnf. 

* Mon Oct 17 2005 Bipin S <bipin at comodo dot com> 4.0.6-1tr
- New upstream.
- Scans 'new' folder in addition to 'cur' when autopurging messages 
  from a folder based on their timestamp.

* Tue Sep 20 2005 Bipin S <bipin at comodo dot com> 4.0.5-1tr
- New upstream
- Fixes two protocol bugs: the NOT operator on content
  searches, and handling of invalid message sequence number "0".

* Tue Jul 26 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.0.4-1tr
- New Upstream
- Adds Support for control access lists account groups.
- Academical fix to mkimapdcert and mkpop3dcert to set the umask before 
  creating the cert file.
- Rebuilt on courier-authlib-0.57

* Tue May 31 2005 Ajith Thampi <ajith at comodo dot com> 4.0.3-3tr
- Installing dummy certs in /etc/ssl/certs where it is expected, shifting
  away from /usr/share/courier-imap, Bug #706
		
* Fri May 13 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.0.3-1tr
- New Upstream
- New PROXY_HOSTNAME setting in the imap/pop3 config files override 
  gethostname() when checking if a proxy connection is required.

* Thu May 05 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.0.2-1tr
- New Upstream
- BuildRequires: courier-authlib, authlib now provided by separate package 
  courier-authlib.

* Mon Apr 25 2005 Ajith Thampi <ajith at comodo dot com> 3.0.8-16tr
- Rebuilt on db-4.3.27

* Wed Apr 20 2005 Ajith Thampi <ajith at comodo dot com> 3.0.8-15tr
- Rebuilt for postgresql-8.0.2
- Changes init priorities

* Tue Apr 19 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.0.8-14tr
- Rebuilt linking GnuTLS

* Tue Apr 12 2005 Raghu <raghu at comodo dot com> 3.0.8-13tr
- Rebuilt for openldap-2.2.24

* Fri Apr 08 2005 Raghu <raghu at comodo dot com> 3.0.8-12tr
- Rebuilt for openldap-2.2.9

* Mon Mar 21 2005 Hasher Jamaludeen <hasher at comodo dot com> 3.0.8-10tr
- Rebuilt, added unpackaged files.

* Wed Feb 02 2005 Ajith Thampi <ajith at comodo dot com> 3.0.8-9tr
- Rebuild for db-4.2.52

* Wed Dec  1 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.8-8tr
- Fix typo in imap initscript.

* Wed Nov 24 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.8-7tr
- Now have more sane names in initscript.

* Thu Nov 18 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.8-6tr
- Now even use Maildir.

* Tue Nov  9 2004 Oystein Viggen <oysteivi at trustix dot com> 3.0.8-5tr
- Rebuild with shared openssl

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.8-2tr
- Now own almostauthdaemondir as well.

* Sun Sep 19 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.8-1tr
- New upstream.

* Fri Aug 27 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.1-6tr
- Now only force stop if we are totally uninstalling the package.

* Tue Aug 24 2004 Oystein Viggen <oysteivi at trustix dot com> 2.2.1-5tr
- Fix format string vulnerability in debug.c (CAN-2004-0777)

* Mon Feb  2 2004 Chr. Toldnes <christht at trustix dot org> 2.2.1-2tr
- Fixed bug in %post

* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 2.2.1-1tr
- New upstream.

* Wed Nov 19 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-1tr
- New upstream.
- Major cleanup.

* Wed Aug 20 2003 Gerald Dachs <gda at trustix dot org> 2.1.1-1gd
- New upstream version

* Wed Jun 25 2003 Frode Ramsvik <froder at trustix dot com> 1.7.1-11tr
- Default location for SSL-certificates is now /etc/ssl/certs

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7.1-10tr
- Big rebuild

* Fri Jun 13 2003 Chr. Toldnes <christht at trustix dot com> 1.7.1-9ct
- Make silent about perl locale issue during install :)

* Fri Jun 13 2003 Chr. Toldnes <christht at trustix dot com> 1.7.1-8ct
- the simap and pop3 scripts was swapped during install.

* Thu Jun 12 2003 Chr. Toldnes <christht at trustix dot com> 1.7.1-7ct
- Added status function in initscritps
- Added check for services is already running

* Thu Jun 12 2003 Chr. Toldnes <christht at trustix dot com> 1.7.1-6ct
- new initscript layout. one script for each service.
- separate sources for config files.
- user makes ssl certs
- ssl cert generation works

* Fri Jun  6 2003 Gerald Dachs <gda at trustix dot org> 1.7.1-5gd
- removed usage of /etc/sysconfig/rc from initscript
- activated start of the services

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7.1-4em
- fileutils, textutils, sh-utils -> coreutils

* Mon May 12 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7.1-3em
- Now use /usr/lib instead of /usr/libexec
- Now use /var/spool/authdaemon/courier-imap instead of /var/auth...
- Now use /var/spool/courier instead of /var/tls...
- %ghost the generated config files.
- Use PAM only by default.

* Thu Mar 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7.1-2em
- enhanced kenr's patch to enable build both against Berkeley DB 4.0 and 4.1

* Wed Mar 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7.1-1em
- kenr made a patch to use Berkeley DB 4.1

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.2-7em
- Rebuilt against glibc 2.3.2.

* Thu Mar 20 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.2-6em
- rebuilt against PostgreSQL 7.3.2.

* Fri Jan 31 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.2-5em
- rebuilt against openssl 0.9.7.

* Wed Jan 29 2003 Goetz Bock <bock at trustix dot org> 1.6.2-4bg
- fixed typo in courier.initd to make stop call stop() not start()

* Mon Jan 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.2-3em
- Now requires imapd-pam package rather than provide the files.

* Sat Jan 18 2003 Gerald Dachs <gda at trustix dot org> 1.6.2-2gd
- rebuilt against openssl 0.9.7-1gd

* Wed Jan 15 2003 Goetz Bock <bock at trustix dot org> 1.6.2-1bg
- new upstream: 1.6.2
- rewrote SPEC file
- rewrote /etc/init.d/courier-imap

* Sun Sep 22 2002 Gerald Dachs <gda at trustix dot org> 1.5.2-3gd
- Rebuild against openldap 2.1.3

* Tue Sep 10 2002 Erlend Midttun <erlendbm at trustix dot com> 1.5.2-2em
- Fixed startup script.

* Tue Aug 20 2002 Gerald Dachs <gda at trustix dot org> 1.5.2-1gd
- .spec file based on original courier .spec file
